<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsParserParsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_parser_parsers
         */
        Schema::create('litecms_parser_parsers', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('domain', 255)->nullable();
            $table->text('parser')->nullable();
            $table->string('source', 255)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_parser_parsers');
    }
}
