<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsParserWhatsappsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_parser_whatsapps
         */
        Schema::create('litecms_parser_whatsapps', function ($table) {
            $table->increments('id');
            $table->integer('lead_id')->nullable();
            $table->text('ref_no')->nullable();
            $table->string('name', 300)->nullable();
            $table->text('message')->nullable();
            $table->text('multimedia')->nullable();
            $table->string('url', 500)->nullable();
            $table->string('mobile', 255)->nullable();
            $table->string('mobile_org', 50)->nullable();
            $table->text('details')->nullable();
            $table->text('source')->nullable();
            $table->enum('converted', [])->nullable();
            $table->text('notes')->nullable();
            $table->enum('status', [])->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_parser_whatsapps');
    }
}
