<?php

namespace Litecms\Parser\Seeders;

use DB;
use Illuminate\Database\Seeder;

class WhatsappTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_parser_whatsapps')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.parser.whatsapp.view',
                'name'      => 'View Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.create',
                'name'      => 'Create Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.edit',
                'name'      => 'Update Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.delete',
                'name'      => 'Delete Whatsapp',
            ],
            
                        [
                'slug'      => 'litecms.parser.whatsapp.verify',
                'name'      => 'Verify Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.approve',
                'name'      => 'Approve Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.publish',
                'name'      => 'Publish Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.unpublish',
                'name'      => 'Unpublish Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.cancel',
                'name'      => 'Cancel Whatsapp',
            ],
            [
                'slug'      => 'litecms.parser.whatsapp.archive',
                'name'      => 'Archive Whatsapp',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/parser/whatsapp',
                'name'        => 'Whatsapp',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/parser/whatsapp',
                'name'        => 'Whatsapp',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'whatsapp',
                'name'        => 'Whatsapp',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Parser',
                'module'    => 'Whatsapp',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.parser.whatsapp.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
