# Installation

The instructions below will help you to properly installand run the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litecms/parser/`

## Composer

Add the below entries in the `composer.json`.


```json

...
     "repositories": {
        ...

        {
            "type": "path",
            "url": "packages/litecms/parser"
        }

        ...
    },
...

```
Then run `composer require litecms/parser`


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=Litecms\\Parser\\Seeders\\ParserTableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="Litecms\Parser\Providers\ParserServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="Litecms\Parser\Providers\ParserServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="Litecms\Parser\Providers\ParserServiceProvider" --tag="view"
```

## URLs and APIs

### Web Urls

* Admin
```
    http://path-to-route-folder/admin/parser/{modulename}
```

* User
```
    http://path-to-route-folder/user/parser/{modulename}
```

* Public
```
    http://path-to-route-folder/parsers
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/parser/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/parser/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/parser/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/parser/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/parser/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/parser/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/parser/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/parser/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/parser/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/parser/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/parser/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
