<?php

// Web routes  for parser.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for parser

Route::prefix('{guard}/parser')->group(function () {

    Route::get('/workflow/{parser}/{user}', 'ParserWorkflowController@get')
        ->name('parser.parser.workflow');
    Route::post('/workflow/{parser}/{user}', 'ParserWorkflowController@post');

    Route::get('/action/{parser}/{user}', 'ParserActionController@get')
        ->name('parser.parser.action');
    Route::post('/action/{parser}/{user}', 'ParserActionController@post');

});


// Workflow routes for whatsapp

Route::prefix('{guard}/whatsapp')->group(function () {

    Route::get('/workflow/{whatsapp}/{user}', 'WhatsappWorkflowController@get')
        ->name('parser.whatsapp.workflow');
    Route::post('/workflow/{whatsapp}/{user}', 'WhatsappWorkflowController@post');

    Route::get('/action/{whatsapp}/{user}', 'WhatsappActionController@get')
        ->name('parser.whatsapp.action');
    Route::post('/action/{whatsapp}/{user}', 'WhatsappActionController@post');

});

