<?php

namespace Litecms\Parser\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Parser\Http\Requests\WhatsappActionsRequest;
use Litecms\Parser\Models\WhatsappActions;

/**
 * Admin web controller class.
 */
class WhatsappActionsController extends BaseController
{

    /**
     * Action controller function for whatsapp.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(WhatsappActionsRequest $request, $action)
    {
        try {
            $whatsapp = WhatsappActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('parser::whatsapp.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('parser/whatsapp/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('parser/whatsapp/' . $action))
                ->redirect();
        }
    }
}
