<?php

namespace Litecms\Parser\Policies;

use Litecms\Parser\Models\Parser;
use Litepie\User\Interfaces\UserPolicyInterface;

trait ParserAction
{

    /**
     * Determine if the given user can approve the given parser.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Parser $parser)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('parser.parser.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given parser.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Parser $parser) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('parser.parser.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given parser.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Parser $parser)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('parser.parser.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given parser.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Parser $parser)
    {


        if ($authUser->canDo('parser.parser.action.delete')) {
            return true;
        }

        return false;
    }


}
