<?php

namespace Litecms\Parser\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Parser policy
        \Litecms\Parser\Models\ParserRepository::class 
        => \Litecms\Parser\Policies\ParserPolicy::class,// Bind Whatsapp policy
        \Litecms\Parser\Models\WhatsappRepository::class 
        => \Litecms\Parser\Policies\WhatsappPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
